#ifndef __PROTOTYPES__
#define __PROTOTYPES__



// System Includes
#ifndef __WINDOWS__
	#include <Windows.h>
#endif





// Application Includes
#ifndef __BAREBONES__
	#include "BareBones.h"
#endif





// BareBones.c
void		main ( void );


// Initialize.c
void		InitToolbox ( void );
void		InitApplication ( void );


// AppleEventStuff.c
OSErr		InstallAppleEventHandlers ( void );


// Events.c
void		EventLoop ( void );


// Windows.c
void		CreateWindow ( void );
WindowRef	DestroyWindow ( WindowRef windowRef );
void		DoActivate ( EventRecord* theEvent );
void		DoUpdate ( WindowRef theWindow );
void		DoContentClick ( WindowRef theWindow, EventRecord* theEvent );
void		DoGrowWindow ( WindowRef theWindow, EventRecord* theEvent );
void		DoDragWindow ( WindowRef theWindow, EventRecord* theEvent );
void		UpdateWindowContent ( WindowRef theWindow );
OSErr		DoAboutBox ( void );


// Menus.c
void		MenuDispatch ( SInt32 menuResult );


// ActionProc.c
pascal void ScrollControlActionProc ( ControlRef theControl, SInt16 thePart );
pascal void	ScrollThumbActionProc ( void );
OSErr		BeginThumbTracking ( ControlRef theControl );
void		EndThumbTracking ( void );



// Utilities.c
StringPtr	CopyPStr ( Str255	inSourceStr, StringPtr outDestStr, SInt16 inDestSize );
StringPtr	ConcatPStr ( Str255 ioFirstStr, Str255 inSecondStr, SInt16 inDestSize );
void		OSTypeToPStr ( OSType inOSType, StringPtr outString );
void		PStrToOSType ( StringPtr inString, OSType* outOSType );
void		AlertUser ( SInt16 messageCode, SInt16 errorNum, StringPtr theString );
void		LocalToGlobalRect ( Rect* theRect );
Boolean		IsMovableModal ( WindowRef theWindow );

#if DEBUGGING
void		DebugStrNum ( Str255 str, SInt32 num );
#endif


#endif
